[![gitlab pipeline status](https://gitlab.com/jozefsumaj/cy-todo-productboard/badges/run-in-docker-compose/pipeline.svg)](https://gitlab.com/jozefsumaj/cy-todo-productboard/-/jobs)

<p align="center">
<img height="40" src="https://www.productboard.com/wp-content/themes/productboard_rebrand/public/img/productboard-logo.svg">
</p>

---

The goal of this exercise is to write automated tests for the TO-DO application using [Cypress](https://docs.cypress.io).

When we will meet again, we will go through the code together and look at how the code is organized; what's the structure of the tests and how they're organized inside test suites; how you use selectors; and which Cypress APIs you chose and why. 

Feel free to get creative and come up with something cool beyond what's defined by the assignment if you want to impress us (we're sure you will! 🚀)

Bonus points if you can configure the tests to run on a CI provider of your choice.

## Prerequisites

Install Node.js, instructions [here](https://nodejs.org/en/download/)

## Available Scripts

Install dependencies 
### `npm install`

Run the app in the development mode
### `npm start`

Open Cypress GUI app
### `npm run cypress:open`

Run Cypress tests in headless mode
### `npm run cypress:run`

